package com.crm.rely.backend.core.constant;

/**
 * 交易账户转归属报表类型
 *
 * @author y
 * @create 2024/12/13
 */
public enum AccountReportChangeType {


    DW(1, "DW"),
    SALES_COMMISSION(2, "SALES_COMMISSION");


    private final Integer code;
    private final String desc;

    AccountReportChangeType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static AccountReportChangeType matchCode(Integer code) {
        for (AccountReportChangeType type : AccountReportChangeType.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }


}
